Bug 217038 - yaboot partition should be added to fstab during installation
yaboot partition should be added to fstab during installation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
11
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-23 06:29 EST by Alex Kanavin
Modified: 2013-03-05 22:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:23:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of lshal (125.36 KB, text/plain)
2006-11-23 09:10 EST, Alex Kanavin
no flags Details

  None (edit)
Description Alex Kanavin 2006-11-23 06:29:04 EST
Yaboot partitition should be added to /etc/fstab file during installation, like
this:
/dev/sda2               /mnt/bootstrap             hfs     noauto          0 0

Otherwise, if the install target is an external (USB/Firewire) drive, the
partition gets mounted by HAL, which results in desktop clutter and kernel
update failures (yaboot fails to update itself, because its partition is mounted).
Comment 1 Paul Nasrat 2006-11-23 06:54:14 EST
Hal should be taught to ignore Apple_Bootstrap partitions in mounting.  Can you
attach the output of lshal.
Comment 2 Paul Nasrat 2006-11-23 07:08:57 EST
David should we be using volume.ignore or something to tell HAL to ignore the
disk in anaconda for removable media installs.  Do you already have some patches
for this for OLPC or anything?
Comment 3 Alex Kanavin 2006-11-23 09:10:26 EST
Created attachment 141994 [details]
output of lshal
Comment 4 Alex Kanavin 2007-11-09 23:09:28 EST
Well, looks like the problem has fixed itself at some point - I just did a fresh
install of F8, and it's gone.
Comment 5 Bug Zapper 2008-04-04 00:53:14 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Alex Kanavin 2008-04-04 03:59:51 EDT
Yeah, the problem is gone. You can close this bug.
Comment 7 Peter van Egdom 2008-05-04 04:52:38 EDT
Thank you for the bug report. Closing bug as per comment #6.
Comment 8 Alex Kanavin 2009-08-06 09:50:38 EDT
After some peaceful period, the problem has re-appeared in F11 - yaboot partition gets mounted if it's on an external drive, which leads to desktop clutter and kernel update failures. Shouldn't happen.
Comment 9 Alex Kanavin 2009-11-18 08:18:33 EST
Hmm, I just installed F12 and the problem is gone again :) You can close this I suppose.
Comment 11 Bug Zapper 2010-04-27 07:40:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 06:23:27 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.